%define module	django-guardian

Name:		python-%{module}
Version:	2.4.0
Release:	%mkrel 5
Summary:	Implementation of per object permissions for Django
License:	BSD
Group:		Development/Python
URL:		https://github.com/lukaszb/django-guardian/
Source0:	https://pypi.io/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
django-guardian is implementation of per object permissions as authorization
backend.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Implementation of per object permissions for Django
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(setuptools-scm)
BuildRequires:	python3dist(pyflakes)
BuildRequires:	python3dist(pytest-runner)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
django-guardian is implementation of per object permissions as authorization
backend.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# drop translation catalogs
find %{buildroot} -name "*.po" -delete

%files -n python3-%{module}
%doc CHANGES README.rst docs/ benchmarks/ example_project/
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/guardian/*py*
%{python3_sitelib}/guardian/conf/
%{python3_sitelib}/guardian/management/
%{python3_sitelib}/guardian/migrations/
%{python3_sitelib}/guardian/models/
%{python3_sitelib}/guardian/static/
%{python3_sitelib}/guardian/templates/
%{python3_sitelib}/guardian/templatetags/
%{python3_sitelib}/guardian/testapp/
%{python3_sitelib}/django_guardian-%{version}.dist-info
# locale files
%lang(es) %{python3_sitelib}/guardian/locale/es/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/guardian/locale/fr/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/guardian/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/guardian/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/guardian/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/guardian/locale/ru/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/guardian/locale/zh_Hans/LC_MESSAGES/django.?o


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.4.0-5.mga10
+ Revision: 2240888
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.4.0-4.mga10
+ Revision: 2158118
- rebuild for python3.13

* Fri Feb 23 2024 daviddavid <daviddavid> 2.4.0-3.mga10
+ Revision: 2043396
- rebuild for 3.12
- switch to pyproject

* Sun Mar 27 2022 umeabot <umeabot> 2.4.0-2.mga9
+ Revision: 1828914
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.4.0-1.mga9
+ Revision: 1785126
- version 2.4.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 2.3.0-2.mga9
+ Revision: 1707669
- rebuild for python 3.9

* Tue Jul 14 2020 daviddavid <daviddavid> 2.3.0-1.mga8
+ Revision: 1606024
- new version: 2.3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-3.mga8
+ Revision: 1531848
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 2.0.0-2.mga8
+ Revision: 1441329
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1430837
- new version 2.0.0
- drop python2 support

* Fri Mar 01 2019 daviddavid <daviddavid> 1.5.0-1.mga7
+ Revision: 1370915
- new version: 1.5.0

* Fri Jan 11 2019 daviddavid <daviddavid> 1.4.9-3.mga7
+ Revision: 1354923
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.9-2.mga7
+ Revision: 1288688
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 1.4.9-1.mga7
+ Revision: 1191251
- new version: 1.4.9

* Tue Dec 26 2017 daviddavid <daviddavid> 1.4.4-4.mga7
+ Revision: 1185230
- add missing BRs on pythonegg(2,3)(setuptools-scm) to fix build

* Thu Oct 05 2017 daviddavid <daviddavid> 1.4.4-3.mga7
+ Revision: 1168979
- add missing BR on pythonegg(2,3)(pytest-runner) thus fixing build
- rename python-django-guardian to python2-django-guardian

* Sat Aug 05 2017 pterjan <pterjan> 1.4.4-2.mga7
+ Revision: 1135381
- Rebuild for python 3.6

* Mon Apr 04 2016 daviddavid <daviddavid> 1.4.4-1.mga6
+ Revision: 998287
- new version: 1.4.4

* Sun Apr 03 2016 daviddavid <daviddavid> 1.4.3-1.mga6
+ Revision: 997820
- new version: 1.4.3

* Sun Jan 10 2016 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 921227
- new version: 1.4.1
- update file list

* Sat Dec 05 2015 daviddavid <daviddavid> 1.3.2-1.mga6
+ Revision: 908263
- new version: 1.3.2
- update file list

* Sat Oct 31 2015 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 896870
- new version: 1.3.1
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 1.3-2.mga6
+ Revision: 886811
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 1.3-1.mga6
+ Revision: 837971
- new version: 1.3
- add more docs and locale files
- update file list
- fix strange-permission

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-4.mga5
+ Revision: 745372
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.4-3.mga5
+ Revision: 728284
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-2.mga5
+ Revision: 687980
- Mageia 5 Mass Rebuild

* Fri Jul 18 2014 daviddavid <daviddavid> 1.2.4-1.mga5
+ Revision: 653687
- new version: 1.2.4

* Wed Jul 09 2014 daviddavid <daviddavid> 1.2.2-1.mga5
+ Revision: 650928
- new version: 1.2.2

* Sat May 31 2014 pterjan <pterjan> 1.2.0-5.mga5
+ Revision: 628567
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 1.2.0-4.mga5
+ Revision: 618041
- fix list some files explicitly to avoid listing locale files twice

* Thu Apr 24 2014 daviddavid <daviddavid> 1.2.0-3.mga5
+ Revision: 617674
- fix rpmlint warning: "file-not-in-%%lang"
- update URL

* Tue Apr 22 2014 daviddavid <daviddavid> 1.2.0-2.mga5
+ Revision: 617356
- remove unneeded provides package (thanks philippem)

* Mon Apr 21 2014 daviddavid <daviddavid> 1.2.0-1.mga5
+ Revision: 617223
- add support of python 3
- imported package python-django-guardian

